# NotificationModel class

Model for notification

## Constructors

NotificationModel ({int id, int note, String date1})
NotificationModel.fromMap (Map <String, dynamic> map)
  Makes NotificationModel from database data

## Properties

date1 ↔ String
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id ↔ int
  read / write
note ↔ int
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

getString () → String
  Returns all data converted in string
makeData (DateTime dateTime) → dynamic
  Sets date info
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toMap () → Map <String, dynamic>
  Prepares data to store it in database
toString () → String
  Returns a string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator. [...]
  inherited